Product reply to addresses
Reply-to addresses per unit
The product reply to addresse object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
Related resources
Embed related resources in the response with the select parameter, for example select=*,products(*). Resources related through more than one column need the column as a hint, like table!column(*).
reply_to_addresses(*)object | nullThe reply to addresse referenced by reply_to_address_id.
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"reply_to_address_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.861Z"
}curl -X GET "https://api.bookingmood.com/v1/product_reply_to_addresses?limit=10&select=*,products(*),reply_to_addresses(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List product reply to addresses
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
Responses
200A list of product reply to addresses with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /product_reply_to_addressescurl -X GET "https://api.bookingmood.com/v1/product_reply_to_addresses?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"reply_to_address_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.861Z"
}
]Create product reply to addresses
Body
Partial<ProductReplyToAddresse> | Array<Partial<ProductReplyToAddresse>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created product reply to addresses with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /product_reply_to_addressescurl -X POST "https://api.bookingmood.com/v1/product_reply_to_addresses" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"product_id": "00000000-0000-0000-0000-000000000000",
"reply_to_address_id": "00000000-0000-0000-0000-000000000000"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"reply_to_address_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.861Z"
}
]Delete product reply to addresses
Filters
Without filters, this request deletes all product reply to addresses you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
Responses
200The deleted product reply to addresses with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /product_reply_to_addressescurl -X DELETE "https://api.bookingmood.com/v1/product_reply_to_addresses?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"reply_to_address_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.861Z"
}
]Update product reply to addresses
Filters
Without filters, this request updates all product reply to addresses you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
Body
Partial<ProductReplyToAddresse>Read-only attributes are set by the database and can't be written.
Responses
200The updated product reply to addresses with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /product_reply_to_addressescurl -X PATCH "https://api.bookingmood.com/v1/product_reply_to_addresses?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"reply_to_address_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.861Z"
}
]